Package org.zkoss.zk.ui

## Class AbstractComponent.Children

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.AbstractSequentialList<Component>
      - - org.zkoss.zk.ui.AbstractComponent.Children

- All Implemented Interfaces:
    `java.lang.Iterable<Component>`, `java.util.Collection<Component>`, `java.util.List<Component>`
  Direct Known Subclasses:
    `Listbox.Children`, `Rows.Children`
  Enclosing class:
    AbstractComponent

      protected class AbstractComponent.Children
      extends java.util.AbstractSequentialList<Component>

  The default implementation for `AbstractComponent.getChildren()`. It is suggested to extend this class if you want to override `AbstractComponent.getChildren()` to instantiate your own instance.
  Since:
    3.5.1

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Children()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.ListIterator<Component>` | `listIterator​(int index)` |
    `int` | `size()` |

    - ### Methods inherited from class java.util.AbstractSequentialList

      `add, addAll, get, iterator, remove, set`

    - ### Methods inherited from class java.util.AbstractList

      `add, clear, equals, hashCode, indexOf, lastIndexOf, listIterator, removeRange, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

- - ### Constructor Detail

    - #### Children

          protected Children()

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<Component>`
      Specified by:
        `size` in interface `java.util.List<Component>`
      Specified by:
        `size` in class `java.util.AbstractCollection<Component>`

    - #### listIterator

          public java.util.ListIterator<Component> listIterator​(int index)

      Specified by:
        `listIterator` in interface `java.util.List<Component>`
      Specified by:
        `listIterator` in class `java.util.AbstractSequentialList<Component>`